> # NAME

> cgGetPassProgram - get domain program from a pass

> # SYNOPSIS

>       #include <Cg/cg.h>

>       CGprogram cgGetPassProgram( CGpass pass,
>                                   CGdomain domain );

> # PARAMETERS

> pass

>   The pass from which to get a program.

> domain

>   The domain for which a program will be retrieved.

> # RETURN VALUES

> Returns the program associated with a specified domain from the given pass.

> Returns NULL if pass or domain is invalid.

> # DESCRIPTION

> cgGetPassProgram allows the application to retrieve the program associated with a specific domain from a pass.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> CG_INVALID_ENUMERANT_ERROR is generated if domain is not CG_VERTEX_DOMAIN, CG_FRAGMENT_DOMAIN, or CG_GEOMETRY_DOMAIN.

> # HISTORY

> cgGetPassProgram was introduced in Cg 2.1.

> # SEE ALSO

> cgGetFirstPass, cgGetNextPass